<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateBillInstallmentsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('bill_installments', function (Blueprint $table) {
            $table->increments('id');
            $table->unsignedInteger('bill_payable_id')->nullable();
            $table->string('amount',1000)->nullable();
            $table->string('paid_amount',1000)->default('0');
            $table->string('to_pay',1000)->nullable();
            $table->string('installment_no',1000)->nullable();
            $table->enum('is_recycle', ['0','1'])->default('0');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('bill_installments');
    }
}
